%define fpcver %(ppc386 -iV)
%define fpcrpm %(rpm -q fpc | cut -f2 -d-)

Summary: Turbo Pascal Lex and Yacc
Name: tply
Version: 4.1
Release: 2
Copyright: GPL
ExclusiveArch: i386 i486 i586 i686
ExclusiveOS: Linux
Requires: fpc = %{fpcrpm}
BuildPreReq: fpc /usr/bin/cut
Group: Development/Tools
Source0: http://www.musikwissenschaft.uni-mainz.de/~ag/tply/tply41.zip
Patch: tply-4.1-redhat.patch
URL: http://www.musikwissenschaft.uni-mainz.de/~ag/tply
BuildRoot: /var/tmp/tply-root
Packager: Peter Soos <sp@osb.hu>

%changelog

* Tue Jul 07 1999 Peter Soos <sp@osb.hu>
- Changes in the spec file for better install

* Wed Jun 16 1999 Peter Soos <sp@osb.hu>
- Initial version 

%description
This is Version 4.1 of TPLY (Turbo Pascal Lex and Yacc), a compiler
generator for Turbo Pascal and compatibles. The package contains two
programs, TP Lex and Yacc, which are approximately compatible with the
UNIX utilities Lex and Yacc, but are written in, and produce code for
the Turbo Pascal programming language. The present version works with
all recent flavours of Turbo/Borland Pascal, including Delphi, and with
the Free Pascal Compiler, a GPL'ed Turbo Pascal-compatible compiler
which currently runs on DOS and Linux (other ports are under development).

These package compiled for fpc version %{fpcver}. If you need this
package for another version of fpc just rebuild this package from
tply-%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}.src.rpm.

%prep
rm -rf ${RPM_BUILD_DIR}/tply41
unzip ${RPM_SOURCE_DIR}/tply41.zip
%setup -D -T -n tply41
%patch -p1 -b .orig

%build
make "OPT=-XS -d Linux -So" lextable.ppu
make "OPT=-XS -d Linux -So" yacctabl.ppu
make "OPT=-XS -d Linux -So" yacclook.ppu
make "OPT=-XS -d Linux"

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/lib
make "PREFIX=${RPM_BUILD_ROOT}" \
     "UNITINSTALLDIR=${RPM_BUILD_ROOT}/usr/lib/fpc/%{fpcver}/units/linux" \
     install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644, root, root, 0755)
%doc README tply.doc tply.tex example
%attr(0755, root, root) /usr/bin/pyacc
%attr(0755, root, root) /usr/bin/plex
/usr/lib/fpc/lexyacc
/usr/lib/fpc/%{fpcver}/units/linux/*
